using System.Collections.Generic;
using Autodesk.Revit.DB;


namespace RVT_UnitTypes
{
public class UnitAbbrevs
{
public Dictionary<DisplayUnitType, string> UnitAbbrevations()
{
Dictionary<DisplayUnitType, string> abbrevations = new Dictionary<DisplayUnitType, string>();
abbrevations.Add(DisplayUnitType.DUT_WATTS_PER_SQUARE_FOOT, "W/ft²");
abbrevations.Add(DisplayUnitType.DUT_WATTS_PER_SQUARE_METER, "W/m²");
abbrevations.Add(DisplayUnitType.DUT_BRITISH_THERMAL_UNITS_PER_HOUR_SQUARE_FOOT, "Btu/(h·ft²)");
abbrevations.Add(DisplayUnitType.DUT_BRITISH_THERMAL_UNITS, "Btu");
abbrevations.Add(DisplayUnitType.DUT_CALORIES, "cal");
abbrevations.Add(DisplayUnitType.DUT_KILOCALORIES, "kcal");
abbrevations.Add(DisplayUnitType.DUT_JOULES, "J");
abbrevations.Add(DisplayUnitType.DUT_KILOWATT_HOURS, "kWh");
abbrevations.Add(DisplayUnitType.DUT_THERMS, "therm");
abbrevations.Add(DisplayUnitType.DUT_PASCAL_SECONDS, "Pa-s");
abbrevations.Add(DisplayUnitType.DUT_POUNDS_MASS_PER_FOOT_SECOND, "lb/ft-s");
abbrevations.Add(DisplayUnitType.DUT_CENTIPOISES, "cP");
abbrevations.Add(DisplayUnitType.DUT_POUNDS_MASS_PER_FOOT_HOUR, "lb/ft-h");
abbrevations.Add(DisplayUnitType.DUT_FAHRENHEIT, "°F");
abbrevations.Add(DisplayUnitType.DUT_CELSIUS, "°C");
abbrevations.Add(DisplayUnitType.DUT_KELVIN, "K");
abbrevations.Add(DisplayUnitType.DUT_RANKINE, "°R");
abbrevations.Add(DisplayUnitType.DUT_METERS_PER_SECOND_SQUARED, "m/s²");
abbrevations.Add(DisplayUnitType.DUT_KILOMETERS_PER_SECOND_SQUARED, "km/s²");
abbrevations.Add(DisplayUnitType.DUT_INCHES_PER_SECOND_SQUARED, "in/s²");
abbrevations.Add(DisplayUnitType.DUT_FEET_PER_SECOND_SQUARED, "ft/s²");
abbrevations.Add(DisplayUnitType.DUT_MILES_PER_SECOND_SQUARED, "mi/s²");
abbrevations.Add(DisplayUnitType.DUT_NEWTONS_PER_METER, "N/m");
abbrevations.Add(DisplayUnitType.DUT_DECANEWTONS_PER_METER, "daN/m");
abbrevations.Add(DisplayUnitType.DUT_KILONEWTONS_PER_METER, "kN/m");
abbrevations.Add(DisplayUnitType.DUT_MEGANEWTONS_PER_METER, "MN/m");
abbrevations.Add(DisplayUnitType.DUT_KIPS_PER_FOOT, "kip/ft");
abbrevations.Add(DisplayUnitType.DUT_KILOGRAMS_FORCE_PER_METER, "kgf/m");
abbrevations.Add(DisplayUnitType.DUT_TONNES_FORCE_PER_METER, "Tf/m");
abbrevations.Add(DisplayUnitType.DUT_POUNDS_FORCE_PER_FOOT, "lb/ft");
abbrevations.Add(DisplayUnitType.DUT_KIPS_PER_INCH, "kip/in");
abbrevations.Add(DisplayUnitType.DUT_LUX, "lx");
abbrevations.Add(DisplayUnitType.DUT_FOOTCANDLES, "fc");
abbrevations.Add(DisplayUnitType.DUT_POUNDS_FORCE_PER_CUBIC_FOOT, "lb/ft³");
abbrevations.Add(DisplayUnitType.DUT_KIPS_PER_CUBIC_INCH, "kip/in³");
abbrevations.Add(DisplayUnitType.DUT_KILONEWTONS_PER_CUBIC_METER, "kN/m³");
abbrevations.Add(DisplayUnitType.DUT_JOULES_PER_GRAM, "J/g");
abbrevations.Add(DisplayUnitType.DUT_BRITISH_THERMAL_UNITS_PER_POUND, "BTU/lb");
abbrevations.Add(DisplayUnitType.DUT_JOULES_PER_GRAM_CELSIUS, "J/(g·°C)");
abbrevations.Add(DisplayUnitType.DUT_JOULES_PER_KILOGRAM_CELSIUS, "J/(kg·°C)");
abbrevations.Add(DisplayUnitType.DUT_BRITISH_THERMAL_UNITS_PER_POUND_FAHRENHEIT, "BTU/(lb·°F)");
abbrevations.Add(DisplayUnitType.DUT_FEET_PER_MINUTE, "ft/min");
abbrevations.Add(DisplayUnitType.DUT_METERS_PER_SECOND, "m/s");
abbrevations.Add(DisplayUnitType.DUT_CENTIMETERS_PER_MINUTE, "cm/min");
abbrevations.Add(DisplayUnitType.DUT_WATTS, "W");
abbrevations.Add(DisplayUnitType.DUT_METERS, "m");
abbrevations.Add(DisplayUnitType.DUT_CENTIMETERS, "cm");
abbrevations.Add(DisplayUnitType.DUT_MILLIMETERS, "mm");
abbrevations.Add(DisplayUnitType.DUT_DECIMETERS, "dm");
abbrevations.Add(DisplayUnitType.DUT_INCHES_OF_WATER, "in-wg");
abbrevations.Add(DisplayUnitType.DUT_PASCALS, "Pa");
abbrevations.Add(DisplayUnitType.DUT_KILOPASCALS, "kPa");
abbrevations.Add(DisplayUnitType.DUT_MEGAPASCALS, "MPa");
abbrevations.Add(DisplayUnitType.DUT_POUNDS_FORCE_PER_SQUARE_INCH, "psi");
abbrevations.Add(DisplayUnitType.DUT_INCHES_OF_MERCURY, "inHg");
abbrevations.Add(DisplayUnitType.DUT_MILLIMETERS_OF_MERCURY, "mmHg");
abbrevations.Add(DisplayUnitType.DUT_ATMOSPHERES, "atm");
abbrevations.Add(DisplayUnitType.DUT_BARS, "bar");
abbrevations.Add(DisplayUnitType.DUT_NEWTONS, "N");
abbrevations.Add(DisplayUnitType.DUT_DECANEWTONS, "daN");
abbrevations.Add(DisplayUnitType.DUT_KILONEWTONS, "kN");
abbrevations.Add(DisplayUnitType.DUT_MEGANEWTONS, "MN");
abbrevations.Add(DisplayUnitType.DUT_KIPS, "kip");
abbrevations.Add(DisplayUnitType.DUT_KILOGRAMS_FORCE, "kgf");
abbrevations.Add(DisplayUnitType.DUT_TONNES_FORCE, "Tf");
abbrevations.Add(DisplayUnitType.DUT_POUNDS_FORCE, "lb");
abbrevations.Add(DisplayUnitType.DUT_USTONNES_FORCE, "Tonsf");
abbrevations.Add(DisplayUnitType.DUT_KILOWATTS, "kW");
abbrevations.Add(DisplayUnitType.DUT_BRITISH_THERMAL_UNITS_PER_SECOND, "Btu/s");
abbrevations.Add(DisplayUnitType.DUT_BRITISH_THERMAL_UNITS_PER_HOUR, "Btu/h");
abbrevations.Add(DisplayUnitType.DUT_NEWTONS_PER_SQUARE_METER, "N/m²");
abbrevations.Add(DisplayUnitType.DUT_DECANEWTONS_PER_SQUARE_METER, "daN/m²");
abbrevations.Add(DisplayUnitType.DUT_KILONEWTONS_PER_SQUARE_METER, "kN/m²");
abbrevations.Add(DisplayUnitType.DUT_MEGANEWTONS_PER_SQUARE_METER, "MN/m²");
abbrevations.Add(DisplayUnitType.DUT_KIPS_PER_SQUARE_FOOT, "ksf");
abbrevations.Add(DisplayUnitType.DUT_KILOGRAMS_FORCE_PER_SQUARE_METER, "kgf/m²");
abbrevations.Add(DisplayUnitType.DUT_TONNES_FORCE_PER_SQUARE_METER, "Tf/m²");
abbrevations.Add(DisplayUnitType.DUT_POUNDS_FORCE_PER_SQUARE_FOOT, "psf");
abbrevations.Add(DisplayUnitType.DUT_RADIANS, "rad");
abbrevations.Add(DisplayUnitType.DUT_GRADS, "grad");
abbrevations.Add(DisplayUnitType.DUT_KIP_FEET_PER_DEGREE, "kip-ft/°");
abbrevations.Add(DisplayUnitType.DUT_KILONEWTON_METERS_PER_DEGREE, "kN-m/°");
abbrevations.Add(DisplayUnitType.DUT_WATTS_PER_SQUARE_METER_KELVIN, "W/(m²·K)");
abbrevations.Add(DisplayUnitType.DUT_BRITISH_THERMAL_UNITS_PER_HOUR_SQUARE_FOOT_FAHRENHEIT, "BTU/(h·ft²·°F)");
abbrevations.Add(DisplayUnitType.DUT_LITERS_PER_SECOND, "L/s");
abbrevations.Add(DisplayUnitType.DUT_LITERS_PER_MINUTE, "L/min");
abbrevations.Add(DisplayUnitType.DUT_CUBIC_METERS_PER_SECOND, "m³/s");
abbrevations.Add(DisplayUnitType.DUT_CUBIC_METERS_PER_HOUR, "m³/h");
abbrevations.Add(DisplayUnitType.DUT_GALLONS_US_PER_MINUTE, "gal/min");
abbrevations.Add(DisplayUnitType.DUT_GALLONS_US_PER_HOUR, "gal/h");
abbrevations.Add(DisplayUnitType.DUT_KILOGRAMS_MASS, "kg");
abbrevations.Add(DisplayUnitType.DUT_TONNES_MASS, "t");
abbrevations.Add(DisplayUnitType.DUT_POUNDS_MASS, "lbm");
abbrevations.Add(DisplayUnitType.DUT_INCHES_OF_WATER_PER_100FT, "in-wg/100ft");
abbrevations.Add(DisplayUnitType.DUT_PASCALS_PER_METER, "Pa/m");
abbrevations.Add(DisplayUnitType.DUT_CALORIES_PER_SECOND, "cal/s");
abbrevations.Add(DisplayUnitType.DUT_KILOCALORIES_PER_SECOND, "kcal/s");
abbrevations.Add(DisplayUnitType.DUT_VOLT_AMPERES, "VA");
abbrevations.Add(DisplayUnitType.DUT_KILOVOLT_AMPERES, "kVA");
abbrevations.Add(DisplayUnitType.DUT_HORSEPOWER, "hp");
abbrevations.Add(DisplayUnitType.DUT_TON_OF_REFRIGERATION, "ton");
abbrevations.Add(DisplayUnitType.DUT_SQUARE_FEET_PER_FOOT, "ft²/ft");
abbrevations.Add(DisplayUnitType.DUT_SQUARE_INCHES_PER_FOOT, "in²/ft");
abbrevations.Add(DisplayUnitType.DUT_SQUARE_MILLIMETERS_PER_METER, "mm²/m");
abbrevations.Add(DisplayUnitType.DUT_SQUARE_CENTIMETERS_PER_METER, "cm²/m");
abbrevations.Add(DisplayUnitType.DUT_SQUARE_METERS_PER_METER, "m²/m");
abbrevations.Add(DisplayUnitType.DUT_WATTS_PER_CUBIC_FOOT, "W/ft³");
abbrevations.Add(DisplayUnitType.DUT_WATTS_PER_CUBIC_METER, "W/m³");
abbrevations.Add(DisplayUnitType.DUT_BRITISH_THERMAL_UNITS_PER_HOUR_CUBIC_FOOT, "Btu/(h·ft³)");
abbrevations.Add(DisplayUnitType.DUT_HERTZ, "Hz");
abbrevations.Add(DisplayUnitType.DUT_FEET_TO_THE_SIXTH_POWER, "ft6");
abbrevations.Add(DisplayUnitType.DUT_INCHES_TO_THE_SIXTH_POWER, "in6");
abbrevations.Add(DisplayUnitType.DUT_MILLIMETERS_TO_THE_SIXTH_POWER, "mm6");
abbrevations.Add(DisplayUnitType.DUT_CENTIMETERS_TO_THE_SIXTH_POWER, "cm6");
abbrevations.Add(DisplayUnitType.DUT_METERS_TO_THE_SIXTH_POWER, "m6");
abbrevations.Add(DisplayUnitType.DUT_MILISECONDS, "ms");
abbrevations.Add(DisplayUnitType.DUT_SECONDS, "s");
abbrevations.Add(DisplayUnitType.DUT_MINUTES, "min");
abbrevations.Add(DisplayUnitType.DUT_HOURS, "h");
abbrevations.Add(DisplayUnitType.DUT_CUBIC_FEET, "CF");
abbrevations.Add(DisplayUnitType.DUT_CUBIC_INCHES, "in³");
abbrevations.Add(DisplayUnitType.DUT_CUBIC_METERS, "m³");
abbrevations.Add(DisplayUnitType.DUT_CUBIC_CENTIMETERS, "cm³");
abbrevations.Add(DisplayUnitType.DUT_LUMENS, "lm");
abbrevations.Add(DisplayUnitType.DUT_KILOGRAMS_MASS_PER_METER, "kg/m");
abbrevations.Add(DisplayUnitType.DUT_POUNDS_MASS_PER_FOOT, "lb/ft");
abbrevations.Add(DisplayUnitType.DUT_WATTS_PER_METER_KELVIN, "W/(m·K)");
abbrevations.Add(DisplayUnitType.DUT_BRITISH_THERMAL_UNITS_PER_HOUR_FOOT_FAHRENHEIT, "BTU/(h·ft·°F)");
abbrevations.Add(DisplayUnitType.DUT_KILOGRAMS_PER_CUBIC_METER, "kg/m³");
abbrevations.Add(DisplayUnitType.DUT_POUNDS_MASS_PER_CUBIC_FOOT, "lb/ft³");
abbrevations.Add(DisplayUnitType.DUT_SQUARE_METER_KELVIN_PER_WATT, "(m²·K)/W");
abbrevations.Add(DisplayUnitType.DUT_HOUR_SQUARE_FOOT_FAHRENHEIT_PER_BRITISH_THERMAL_UNIT, "(h·ft²·°F)/BTU");
abbrevations.Add(DisplayUnitType.DUT_SQUARE_FEET, "SF");
abbrevations.Add(DisplayUnitType.DUT_SQUARE_INCHES, "in²");
abbrevations.Add(DisplayUnitType.DUT_SQUARE_METERS, "m²");
abbrevations.Add(DisplayUnitType.DUT_SQUARE_CENTIMETERS, "cm²");
abbrevations.Add(DisplayUnitType.DUT_SQUARE_MILLIMETERS, "mm²");
abbrevations.Add(DisplayUnitType.DUT_FEET_OF_WATER_PER_100FT, "ftH2O/100ft");
abbrevations.Add(DisplayUnitType.DUT_FEET_TO_THE_FOURTH_POWER, "ft4");
abbrevations.Add(DisplayUnitType.DUT_INCHES_TO_THE_FOURTH_POWER, "in4");
abbrevations.Add(DisplayUnitType.DUT_MILLIMETERS_TO_THE_FOURTH_POWER, "mm4");
abbrevations.Add(DisplayUnitType.DUT_CENTIMETERS_TO_THE_FOURTH_POWER, "cm4");
abbrevations.Add(DisplayUnitType.DUT_METERS_TO_THE_FOURTH_POWER, "m4");
abbrevations.Add(DisplayUnitType.DUT_AMPERES, "A");
abbrevations.Add(DisplayUnitType.DUT_KILOAMPERES, "kA");
abbrevations.Add(DisplayUnitType.DUT_MILLIAMPERES, "mA");
abbrevations.Add(DisplayUnitType.DUT_ACRES, "acres");
abbrevations.Add(DisplayUnitType.DUT_HECTARES, "hectare");
abbrevations.Add(DisplayUnitType.DUT_CANDELAS, "cd");
abbrevations.Add(DisplayUnitType.DUT_SQUARE_METERS_PER_KILOWATTS, "m²/kW");
abbrevations.Add(DisplayUnitType.DUT_SQUARE_FEET_PER_THOUSAND_BRITISH_THERMAL_UNITS_PER_HOUR, "SF/MBh");
abbrevations.Add(DisplayUnitType.DUT_NEWTON_METERS, "N-m");
abbrevations.Add(DisplayUnitType.DUT_DECANEWTON_METERS, "daN-m");
abbrevations.Add(DisplayUnitType.DUT_KILONEWTON_METERS, "kN-m");
abbrevations.Add(DisplayUnitType.DUT_MEGANEWTON_METERS, "MN-m");
abbrevations.Add(DisplayUnitType.DUT_KIP_FEET, "kip-ft");
abbrevations.Add(DisplayUnitType.DUT_KILOGRAM_FORCE_METERS, "kgf-m");
abbrevations.Add(DisplayUnitType.DUT_TONNE_FORCE_METERS, "Tf-m");
abbrevations.Add(DisplayUnitType.DUT_POUND_FORCE_FEET, "lb-ft");
abbrevations.Add(DisplayUnitType.DUT_LUMENS_PER_WATT, "lm/W");
abbrevations.Add(DisplayUnitType.DUT_CUBIC_FEET_PER_MINUTE_SQUARE_FOOT, "CFM/ft²");
abbrevations.Add(DisplayUnitType.DUT_LITERS_PER_SECOND_SQUARE_METER, "LPS/m²");
abbrevations.Add(DisplayUnitType.DUT_CYCLES_PER_SECOND, "cps");
abbrevations.Add(DisplayUnitType.DUT_CUBIC_FEET_PER_MINUTE_CUBIC_FOOT, "CFM/ft³");
abbrevations.Add(DisplayUnitType.DUT_LITERS_PER_SECOND_CUBIC_METER, "L/(s·m³)");
abbrevations.Add(DisplayUnitType.DUT_CUBIC_YARDS, "CY");
abbrevations.Add(DisplayUnitType.DUT_CUBIC_MILLIMETERS, "mm³");
abbrevations.Add(DisplayUnitType.DUT_LITERS, "L");
abbrevations.Add(DisplayUnitType.DUT_GALLONS_US, "gal");
abbrevations.Add(DisplayUnitType.DUT_KIP_FEET_PER_DEGREE_PER_FOOT, "kip-ft/°/ft");
abbrevations.Add(DisplayUnitType.DUT_KILONEWTON_METERS_PER_DEGREE_PER_METER, "kN-m/°/m");
abbrevations.Add(DisplayUnitType.DUT_SQUARE_FEET_PER_TON_OF_REFRIGERATION, "ft²/ton");
abbrevations.Add(DisplayUnitType.DUT_FEET_PER_SECOND, "ft/s");
abbrevations.Add(DisplayUnitType.DUT_KILOMETERS_PER_HOUR, "km/h");
abbrevations.Add(DisplayUnitType.DUT_MILES_PER_HOUR, "mph");
abbrevations.Add(DisplayUnitType.DUT_BRITISH_THERMAL_UNIT_PER_FAHRENHEIT, "BTU/°F");
abbrevations.Add(DisplayUnitType.DUT_JOULES_PER_KELVIN, "J/K");
abbrevations.Add(DisplayUnitType.DUT_KILOJOULES_PER_KELVIN, "kJ/K");
abbrevations.Add(DisplayUnitType.DUT_POUNDS_MASS_PER_SQUARE_FOOT, "lb/ft²");
abbrevations.Add(DisplayUnitType.DUT_KILOGRAMS_MASS_PER_SQUARE_METER, "kg/m²");
abbrevations.Add(DisplayUnitType.DUT_FOOTLAMBERTS, "fL");
abbrevations.Add(DisplayUnitType.DUT_CANDELAS_PER_SQUARE_METER, "cd/m²");
abbrevations.Add(DisplayUnitType.DUT_KILOJOULES, "kJ");
abbrevations.Add(DisplayUnitType.DUT_CUBIC_FEET_PER_MINUTE, "ft³/min");
abbrevations.Add(DisplayUnitType.DUT_USTONNES_MASS, "Tons");
abbrevations.Add(DisplayUnitType.DUT_INV_FAHRENHEIT, "1/°F");
abbrevations.Add(DisplayUnitType.DUT_MICROINCHES_PER_INCH_FAHRENHEIT, "µin/(in·°F)");
abbrevations.Add(DisplayUnitType.DUT_INV_CELSIUS, "1/°C");
abbrevations.Add(DisplayUnitType.DUT_MICROMETERS_PER_METER_CELSIUS, "µm/(m·°C)");
abbrevations.Add(DisplayUnitType.DUT_RADIANS_PER_SECOND, "rad/s");
abbrevations.Add(DisplayUnitType.DUT_KIPS_PER_CUBIC_FOOT, "kip/ft³");
abbrevations.Add(DisplayUnitType.DUT_KILONEWTONS_PER_SQUARE_CENTIMETER, "kN/cm²");
abbrevations.Add(DisplayUnitType.DUT_NEWTONS_PER_SQUARE_MILLIMETER, "N/mm²");
abbrevations.Add(DisplayUnitType.DUT_KILONEWTONS_PER_SQUARE_MILLIMETER, "kN/mm²");
abbrevations.Add(DisplayUnitType.DUT_KIPS_PER_SQUARE_INCH, "ksi");
abbrevations.Add(DisplayUnitType.DUT_CUBIC_FEET_PER_MINUTE_TON_OF_REFRIGERATION, "CFM/ton");
abbrevations.Add(DisplayUnitType.DUT_LITERS_PER_SECOND_KILOWATTS, "L/(s·kW)");
abbrevations.Add(DisplayUnitType.DUT_NANOGRAMS_PER_PASCAL_SECOND_SQUARE_METER, "ng/(Pa·s·m²)");
abbrevations.Add(DisplayUnitType.DUT_GRAINS_PER_HOUR_SQUARE_FOOT_INCH_MERCURY, "gr/(h·ft²·inHg)");
abbrevations.Add(DisplayUnitType.DUT_POUNDS_MASS_PER_CUBIC_INCH, "lb/in³");
abbrevations.Add(DisplayUnitType.DUT_VOLTS, "V");
abbrevations.Add(DisplayUnitType.DUT_KILOVOLTS, "kV");
abbrevations.Add(DisplayUnitType.DUT_MILLIVOLTS, "mV");
abbrevations.Add(DisplayUnitType.DUT_FEET_OF_WATER, "ftH2O");
abbrevations.Add(DisplayUnitType.DUT_OHM_METERS, "ohm·m");
abbrevations.Add(DisplayUnitType.DUT_NEWTON_METERS_PER_METER, "N-m/m");
abbrevations.Add(DisplayUnitType.DUT_DECANEWTON_METERS_PER_METER, "daN-m/m");
abbrevations.Add(DisplayUnitType.DUT_KILONEWTON_METERS_PER_METER, "kN-m/m");
abbrevations.Add(DisplayUnitType.DUT_MEGANEWTON_METERS_PER_METER, "MN-m/m");
abbrevations.Add(DisplayUnitType.DUT_KIP_FEET_PER_FOOT, "kip-ft/ft");
abbrevations.Add(DisplayUnitType.DUT_KILOGRAM_FORCE_METERS_PER_METER, "kgf-m/m");
abbrevations.Add(DisplayUnitType.DUT_TONNE_FORCE_METERS_PER_METER, "Tf-m/m");
abbrevations.Add(DisplayUnitType.DUT_POUND_FORCE_FEET_PER_FOOT, "lb-ft/ft");
return abbrevations;
}
}
}
